/*******************************************************************************
* File Name: CAN_LEDV.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CAN_LEDV_H) /* Pins CAN_LEDV_H */
#define CY_PINS_CAN_LEDV_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CAN_LEDV_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CAN_LEDV__PORT == 15 && ((CAN_LEDV__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    CAN_LEDV_Write(uint8 value) ;
void    CAN_LEDV_SetDriveMode(uint8 mode) ;
uint8   CAN_LEDV_ReadDataReg(void) ;
uint8   CAN_LEDV_Read(void) ;
uint8   CAN_LEDV_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CAN_LEDV_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CAN_LEDV_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CAN_LEDV_DM_RES_UP          PIN_DM_RES_UP
#define CAN_LEDV_DM_RES_DWN         PIN_DM_RES_DWN
#define CAN_LEDV_DM_OD_LO           PIN_DM_OD_LO
#define CAN_LEDV_DM_OD_HI           PIN_DM_OD_HI
#define CAN_LEDV_DM_STRONG          PIN_DM_STRONG
#define CAN_LEDV_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CAN_LEDV_MASK               CAN_LEDV__MASK
#define CAN_LEDV_SHIFT              CAN_LEDV__SHIFT
#define CAN_LEDV_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CAN_LEDV_PS                     (* (reg8 *) CAN_LEDV__PS)
/* Data Register */
#define CAN_LEDV_DR                     (* (reg8 *) CAN_LEDV__DR)
/* Port Number */
#define CAN_LEDV_PRT_NUM                (* (reg8 *) CAN_LEDV__PRT) 
/* Connect to Analog Globals */                                                  
#define CAN_LEDV_AG                     (* (reg8 *) CAN_LEDV__AG)                       
/* Analog MUX bux enable */
#define CAN_LEDV_AMUX                   (* (reg8 *) CAN_LEDV__AMUX) 
/* Bidirectional Enable */                                                        
#define CAN_LEDV_BIE                    (* (reg8 *) CAN_LEDV__BIE)
/* Bit-mask for Aliased Register Access */
#define CAN_LEDV_BIT_MASK               (* (reg8 *) CAN_LEDV__BIT_MASK)
/* Bypass Enable */
#define CAN_LEDV_BYP                    (* (reg8 *) CAN_LEDV__BYP)
/* Port wide control signals */                                                   
#define CAN_LEDV_CTL                    (* (reg8 *) CAN_LEDV__CTL)
/* Drive Modes */
#define CAN_LEDV_DM0                    (* (reg8 *) CAN_LEDV__DM0) 
#define CAN_LEDV_DM1                    (* (reg8 *) CAN_LEDV__DM1)
#define CAN_LEDV_DM2                    (* (reg8 *) CAN_LEDV__DM2) 
/* Input Buffer Disable Override */
#define CAN_LEDV_INP_DIS                (* (reg8 *) CAN_LEDV__INP_DIS)
/* LCD Common or Segment Drive */
#define CAN_LEDV_LCD_COM_SEG            (* (reg8 *) CAN_LEDV__LCD_COM_SEG)
/* Enable Segment LCD */
#define CAN_LEDV_LCD_EN                 (* (reg8 *) CAN_LEDV__LCD_EN)
/* Slew Rate Control */
#define CAN_LEDV_SLW                    (* (reg8 *) CAN_LEDV__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CAN_LEDV_PRTDSI__CAPS_SEL       (* (reg8 *) CAN_LEDV__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CAN_LEDV_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CAN_LEDV__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CAN_LEDV_PRTDSI__OE_SEL0        (* (reg8 *) CAN_LEDV__PRTDSI__OE_SEL0) 
#define CAN_LEDV_PRTDSI__OE_SEL1        (* (reg8 *) CAN_LEDV__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CAN_LEDV_PRTDSI__OUT_SEL0       (* (reg8 *) CAN_LEDV__PRTDSI__OUT_SEL0) 
#define CAN_LEDV_PRTDSI__OUT_SEL1       (* (reg8 *) CAN_LEDV__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CAN_LEDV_PRTDSI__SYNC_OUT       (* (reg8 *) CAN_LEDV__PRTDSI__SYNC_OUT) 


#if defined(CAN_LEDV__INTSTAT)  /* Interrupt Registers */

    #define CAN_LEDV_INTSTAT                (* (reg8 *) CAN_LEDV__INTSTAT)
    #define CAN_LEDV_SNAP                   (* (reg8 *) CAN_LEDV__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CAN_LEDV_H */


/* [] END OF FILE */
