/*******************************************************************************
* File Name: ETH_B_TxInt.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_ETH_B_TxInt_H)
#define CY_ISR_ETH_B_TxInt_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void ETH_B_TxInt_Start(void);
void ETH_B_TxInt_StartEx(cyisraddress address);
void ETH_B_TxInt_Stop(void);

CY_ISR_PROTO(ETH_B_TxInt_Interrupt);

void ETH_B_TxInt_SetVector(cyisraddress address);
cyisraddress ETH_B_TxInt_GetVector(void);

void ETH_B_TxInt_SetPriority(uint8 priority);
uint8 ETH_B_TxInt_GetPriority(void);

void ETH_B_TxInt_Enable(void);
uint8 ETH_B_TxInt_GetState(void);
void ETH_B_TxInt_Disable(void);

void ETH_B_TxInt_SetPending(void);
void ETH_B_TxInt_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the ETH_B_TxInt ISR. */
#define ETH_B_TxInt_INTC_VECTOR            ((reg32 *) ETH_B_TxInt__INTC_VECT)

/* Address of the ETH_B_TxInt ISR priority. */
#define ETH_B_TxInt_INTC_PRIOR             ((reg8 *) ETH_B_TxInt__INTC_PRIOR_REG)

/* Priority of the ETH_B_TxInt interrupt. */
#define ETH_B_TxInt_INTC_PRIOR_NUMBER      ETH_B_TxInt__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable ETH_B_TxInt interrupt. */
#define ETH_B_TxInt_INTC_SET_EN            ((reg32 *) ETH_B_TxInt__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the ETH_B_TxInt interrupt. */
#define ETH_B_TxInt_INTC_CLR_EN            ((reg32 *) ETH_B_TxInt__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the ETH_B_TxInt interrupt state to pending. */
#define ETH_B_TxInt_INTC_SET_PD            ((reg32 *) ETH_B_TxInt__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the ETH_B_TxInt interrupt. */
#define ETH_B_TxInt_INTC_CLR_PD            ((reg32 *) ETH_B_TxInt__INTC_CLR_PD_REG)


#endif /* CY_ISR_ETH_B_TxInt_H */


/* [] END OF FILE */
