/*******************************************************************************
* File Name: ETH_MAIL2.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ETH_MAIL2_H) /* Pins ETH_MAIL2_H */
#define CY_PINS_ETH_MAIL2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ETH_MAIL2_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ETH_MAIL2__PORT == 15 && ((ETH_MAIL2__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ETH_MAIL2_Write(uint8 value) ;
void    ETH_MAIL2_SetDriveMode(uint8 mode) ;
uint8   ETH_MAIL2_ReadDataReg(void) ;
uint8   ETH_MAIL2_Read(void) ;
uint8   ETH_MAIL2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ETH_MAIL2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ETH_MAIL2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ETH_MAIL2_DM_RES_UP          PIN_DM_RES_UP
#define ETH_MAIL2_DM_RES_DWN         PIN_DM_RES_DWN
#define ETH_MAIL2_DM_OD_LO           PIN_DM_OD_LO
#define ETH_MAIL2_DM_OD_HI           PIN_DM_OD_HI
#define ETH_MAIL2_DM_STRONG          PIN_DM_STRONG
#define ETH_MAIL2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ETH_MAIL2_MASK               ETH_MAIL2__MASK
#define ETH_MAIL2_SHIFT              ETH_MAIL2__SHIFT
#define ETH_MAIL2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ETH_MAIL2_PS                     (* (reg8 *) ETH_MAIL2__PS)
/* Data Register */
#define ETH_MAIL2_DR                     (* (reg8 *) ETH_MAIL2__DR)
/* Port Number */
#define ETH_MAIL2_PRT_NUM                (* (reg8 *) ETH_MAIL2__PRT) 
/* Connect to Analog Globals */                                                  
#define ETH_MAIL2_AG                     (* (reg8 *) ETH_MAIL2__AG)                       
/* Analog MUX bux enable */
#define ETH_MAIL2_AMUX                   (* (reg8 *) ETH_MAIL2__AMUX) 
/* Bidirectional Enable */                                                        
#define ETH_MAIL2_BIE                    (* (reg8 *) ETH_MAIL2__BIE)
/* Bit-mask for Aliased Register Access */
#define ETH_MAIL2_BIT_MASK               (* (reg8 *) ETH_MAIL2__BIT_MASK)
/* Bypass Enable */
#define ETH_MAIL2_BYP                    (* (reg8 *) ETH_MAIL2__BYP)
/* Port wide control signals */                                                   
#define ETH_MAIL2_CTL                    (* (reg8 *) ETH_MAIL2__CTL)
/* Drive Modes */
#define ETH_MAIL2_DM0                    (* (reg8 *) ETH_MAIL2__DM0) 
#define ETH_MAIL2_DM1                    (* (reg8 *) ETH_MAIL2__DM1)
#define ETH_MAIL2_DM2                    (* (reg8 *) ETH_MAIL2__DM2) 
/* Input Buffer Disable Override */
#define ETH_MAIL2_INP_DIS                (* (reg8 *) ETH_MAIL2__INP_DIS)
/* LCD Common or Segment Drive */
#define ETH_MAIL2_LCD_COM_SEG            (* (reg8 *) ETH_MAIL2__LCD_COM_SEG)
/* Enable Segment LCD */
#define ETH_MAIL2_LCD_EN                 (* (reg8 *) ETH_MAIL2__LCD_EN)
/* Slew Rate Control */
#define ETH_MAIL2_SLW                    (* (reg8 *) ETH_MAIL2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ETH_MAIL2_PRTDSI__CAPS_SEL       (* (reg8 *) ETH_MAIL2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ETH_MAIL2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ETH_MAIL2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ETH_MAIL2_PRTDSI__OE_SEL0        (* (reg8 *) ETH_MAIL2__PRTDSI__OE_SEL0) 
#define ETH_MAIL2_PRTDSI__OE_SEL1        (* (reg8 *) ETH_MAIL2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ETH_MAIL2_PRTDSI__OUT_SEL0       (* (reg8 *) ETH_MAIL2__PRTDSI__OUT_SEL0) 
#define ETH_MAIL2_PRTDSI__OUT_SEL1       (* (reg8 *) ETH_MAIL2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ETH_MAIL2_PRTDSI__SYNC_OUT       (* (reg8 *) ETH_MAIL2__PRTDSI__SYNC_OUT) 


#if defined(ETH_MAIL2__INTSTAT)  /* Interrupt Registers */

    #define ETH_MAIL2_INTSTAT                (* (reg8 *) ETH_MAIL2__INTSTAT)
    #define ETH_MAIL2_SNAP                   (* (reg8 *) ETH_MAIL2__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ETH_MAIL2_H */


/* [] END OF FILE */
