/*******************************************************************************
* File Name: ETH_MAIL4.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ETH_MAIL4_H) /* Pins ETH_MAIL4_H */
#define CY_PINS_ETH_MAIL4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ETH_MAIL4_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ETH_MAIL4__PORT == 15 && ((ETH_MAIL4__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ETH_MAIL4_Write(uint8 value) ;
void    ETH_MAIL4_SetDriveMode(uint8 mode) ;
uint8   ETH_MAIL4_ReadDataReg(void) ;
uint8   ETH_MAIL4_Read(void) ;
uint8   ETH_MAIL4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ETH_MAIL4_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ETH_MAIL4_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ETH_MAIL4_DM_RES_UP          PIN_DM_RES_UP
#define ETH_MAIL4_DM_RES_DWN         PIN_DM_RES_DWN
#define ETH_MAIL4_DM_OD_LO           PIN_DM_OD_LO
#define ETH_MAIL4_DM_OD_HI           PIN_DM_OD_HI
#define ETH_MAIL4_DM_STRONG          PIN_DM_STRONG
#define ETH_MAIL4_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ETH_MAIL4_MASK               ETH_MAIL4__MASK
#define ETH_MAIL4_SHIFT              ETH_MAIL4__SHIFT
#define ETH_MAIL4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ETH_MAIL4_PS                     (* (reg8 *) ETH_MAIL4__PS)
/* Data Register */
#define ETH_MAIL4_DR                     (* (reg8 *) ETH_MAIL4__DR)
/* Port Number */
#define ETH_MAIL4_PRT_NUM                (* (reg8 *) ETH_MAIL4__PRT) 
/* Connect to Analog Globals */                                                  
#define ETH_MAIL4_AG                     (* (reg8 *) ETH_MAIL4__AG)                       
/* Analog MUX bux enable */
#define ETH_MAIL4_AMUX                   (* (reg8 *) ETH_MAIL4__AMUX) 
/* Bidirectional Enable */                                                        
#define ETH_MAIL4_BIE                    (* (reg8 *) ETH_MAIL4__BIE)
/* Bit-mask for Aliased Register Access */
#define ETH_MAIL4_BIT_MASK               (* (reg8 *) ETH_MAIL4__BIT_MASK)
/* Bypass Enable */
#define ETH_MAIL4_BYP                    (* (reg8 *) ETH_MAIL4__BYP)
/* Port wide control signals */                                                   
#define ETH_MAIL4_CTL                    (* (reg8 *) ETH_MAIL4__CTL)
/* Drive Modes */
#define ETH_MAIL4_DM0                    (* (reg8 *) ETH_MAIL4__DM0) 
#define ETH_MAIL4_DM1                    (* (reg8 *) ETH_MAIL4__DM1)
#define ETH_MAIL4_DM2                    (* (reg8 *) ETH_MAIL4__DM2) 
/* Input Buffer Disable Override */
#define ETH_MAIL4_INP_DIS                (* (reg8 *) ETH_MAIL4__INP_DIS)
/* LCD Common or Segment Drive */
#define ETH_MAIL4_LCD_COM_SEG            (* (reg8 *) ETH_MAIL4__LCD_COM_SEG)
/* Enable Segment LCD */
#define ETH_MAIL4_LCD_EN                 (* (reg8 *) ETH_MAIL4__LCD_EN)
/* Slew Rate Control */
#define ETH_MAIL4_SLW                    (* (reg8 *) ETH_MAIL4__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ETH_MAIL4_PRTDSI__CAPS_SEL       (* (reg8 *) ETH_MAIL4__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ETH_MAIL4_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ETH_MAIL4__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ETH_MAIL4_PRTDSI__OE_SEL0        (* (reg8 *) ETH_MAIL4__PRTDSI__OE_SEL0) 
#define ETH_MAIL4_PRTDSI__OE_SEL1        (* (reg8 *) ETH_MAIL4__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ETH_MAIL4_PRTDSI__OUT_SEL0       (* (reg8 *) ETH_MAIL4__PRTDSI__OUT_SEL0) 
#define ETH_MAIL4_PRTDSI__OUT_SEL1       (* (reg8 *) ETH_MAIL4__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ETH_MAIL4_PRTDSI__SYNC_OUT       (* (reg8 *) ETH_MAIL4__PRTDSI__SYNC_OUT) 


#if defined(ETH_MAIL4__INTSTAT)  /* Interrupt Registers */

    #define ETH_MAIL4_INTSTAT                (* (reg8 *) ETH_MAIL4__INTSTAT)
    #define ETH_MAIL4_SNAP                   (* (reg8 *) ETH_MAIL4__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ETH_MAIL4_H */


/* [] END OF FILE */
