/*******************************************************************************
* File Name: H1_PWRD.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_H1_PWRD_H) /* Pins H1_PWRD_H */
#define CY_PINS_H1_PWRD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "H1_PWRD_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 H1_PWRD__PORT == 15 && ((H1_PWRD__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    H1_PWRD_Write(uint8 value) ;
void    H1_PWRD_SetDriveMode(uint8 mode) ;
uint8   H1_PWRD_ReadDataReg(void) ;
uint8   H1_PWRD_Read(void) ;
uint8   H1_PWRD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define H1_PWRD_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define H1_PWRD_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define H1_PWRD_DM_RES_UP          PIN_DM_RES_UP
#define H1_PWRD_DM_RES_DWN         PIN_DM_RES_DWN
#define H1_PWRD_DM_OD_LO           PIN_DM_OD_LO
#define H1_PWRD_DM_OD_HI           PIN_DM_OD_HI
#define H1_PWRD_DM_STRONG          PIN_DM_STRONG
#define H1_PWRD_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define H1_PWRD_MASK               H1_PWRD__MASK
#define H1_PWRD_SHIFT              H1_PWRD__SHIFT
#define H1_PWRD_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define H1_PWRD_PS                     (* (reg8 *) H1_PWRD__PS)
/* Data Register */
#define H1_PWRD_DR                     (* (reg8 *) H1_PWRD__DR)
/* Port Number */
#define H1_PWRD_PRT_NUM                (* (reg8 *) H1_PWRD__PRT) 
/* Connect to Analog Globals */                                                  
#define H1_PWRD_AG                     (* (reg8 *) H1_PWRD__AG)                       
/* Analog MUX bux enable */
#define H1_PWRD_AMUX                   (* (reg8 *) H1_PWRD__AMUX) 
/* Bidirectional Enable */                                                        
#define H1_PWRD_BIE                    (* (reg8 *) H1_PWRD__BIE)
/* Bit-mask for Aliased Register Access */
#define H1_PWRD_BIT_MASK               (* (reg8 *) H1_PWRD__BIT_MASK)
/* Bypass Enable */
#define H1_PWRD_BYP                    (* (reg8 *) H1_PWRD__BYP)
/* Port wide control signals */                                                   
#define H1_PWRD_CTL                    (* (reg8 *) H1_PWRD__CTL)
/* Drive Modes */
#define H1_PWRD_DM0                    (* (reg8 *) H1_PWRD__DM0) 
#define H1_PWRD_DM1                    (* (reg8 *) H1_PWRD__DM1)
#define H1_PWRD_DM2                    (* (reg8 *) H1_PWRD__DM2) 
/* Input Buffer Disable Override */
#define H1_PWRD_INP_DIS                (* (reg8 *) H1_PWRD__INP_DIS)
/* LCD Common or Segment Drive */
#define H1_PWRD_LCD_COM_SEG            (* (reg8 *) H1_PWRD__LCD_COM_SEG)
/* Enable Segment LCD */
#define H1_PWRD_LCD_EN                 (* (reg8 *) H1_PWRD__LCD_EN)
/* Slew Rate Control */
#define H1_PWRD_SLW                    (* (reg8 *) H1_PWRD__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define H1_PWRD_PRTDSI__CAPS_SEL       (* (reg8 *) H1_PWRD__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define H1_PWRD_PRTDSI__DBL_SYNC_IN    (* (reg8 *) H1_PWRD__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define H1_PWRD_PRTDSI__OE_SEL0        (* (reg8 *) H1_PWRD__PRTDSI__OE_SEL0) 
#define H1_PWRD_PRTDSI__OE_SEL1        (* (reg8 *) H1_PWRD__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define H1_PWRD_PRTDSI__OUT_SEL0       (* (reg8 *) H1_PWRD__PRTDSI__OUT_SEL0) 
#define H1_PWRD_PRTDSI__OUT_SEL1       (* (reg8 *) H1_PWRD__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define H1_PWRD_PRTDSI__SYNC_OUT       (* (reg8 *) H1_PWRD__PRTDSI__SYNC_OUT) 


#if defined(H1_PWRD__INTSTAT)  /* Interrupt Registers */

    #define H1_PWRD_INTSTAT                (* (reg8 *) H1_PWRD__INTSTAT)
    #define H1_PWRD_SNAP                   (* (reg8 *) H1_PWRD__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_H1_PWRD_H */


/* [] END OF FILE */
