/*******************************************************************************
* File Name: H2_MUX.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_H2_MUX_H) /* Pins H2_MUX_H */
#define CY_PINS_H2_MUX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "H2_MUX_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 H2_MUX__PORT == 15 && ((H2_MUX__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    H2_MUX_Write(uint8 value) ;
void    H2_MUX_SetDriveMode(uint8 mode) ;
uint8   H2_MUX_ReadDataReg(void) ;
uint8   H2_MUX_Read(void) ;
uint8   H2_MUX_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define H2_MUX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define H2_MUX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define H2_MUX_DM_RES_UP          PIN_DM_RES_UP
#define H2_MUX_DM_RES_DWN         PIN_DM_RES_DWN
#define H2_MUX_DM_OD_LO           PIN_DM_OD_LO
#define H2_MUX_DM_OD_HI           PIN_DM_OD_HI
#define H2_MUX_DM_STRONG          PIN_DM_STRONG
#define H2_MUX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define H2_MUX_MASK               H2_MUX__MASK
#define H2_MUX_SHIFT              H2_MUX__SHIFT
#define H2_MUX_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define H2_MUX_PS                     (* (reg8 *) H2_MUX__PS)
/* Data Register */
#define H2_MUX_DR                     (* (reg8 *) H2_MUX__DR)
/* Port Number */
#define H2_MUX_PRT_NUM                (* (reg8 *) H2_MUX__PRT) 
/* Connect to Analog Globals */                                                  
#define H2_MUX_AG                     (* (reg8 *) H2_MUX__AG)                       
/* Analog MUX bux enable */
#define H2_MUX_AMUX                   (* (reg8 *) H2_MUX__AMUX) 
/* Bidirectional Enable */                                                        
#define H2_MUX_BIE                    (* (reg8 *) H2_MUX__BIE)
/* Bit-mask for Aliased Register Access */
#define H2_MUX_BIT_MASK               (* (reg8 *) H2_MUX__BIT_MASK)
/* Bypass Enable */
#define H2_MUX_BYP                    (* (reg8 *) H2_MUX__BYP)
/* Port wide control signals */                                                   
#define H2_MUX_CTL                    (* (reg8 *) H2_MUX__CTL)
/* Drive Modes */
#define H2_MUX_DM0                    (* (reg8 *) H2_MUX__DM0) 
#define H2_MUX_DM1                    (* (reg8 *) H2_MUX__DM1)
#define H2_MUX_DM2                    (* (reg8 *) H2_MUX__DM2) 
/* Input Buffer Disable Override */
#define H2_MUX_INP_DIS                (* (reg8 *) H2_MUX__INP_DIS)
/* LCD Common or Segment Drive */
#define H2_MUX_LCD_COM_SEG            (* (reg8 *) H2_MUX__LCD_COM_SEG)
/* Enable Segment LCD */
#define H2_MUX_LCD_EN                 (* (reg8 *) H2_MUX__LCD_EN)
/* Slew Rate Control */
#define H2_MUX_SLW                    (* (reg8 *) H2_MUX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define H2_MUX_PRTDSI__CAPS_SEL       (* (reg8 *) H2_MUX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define H2_MUX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) H2_MUX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define H2_MUX_PRTDSI__OE_SEL0        (* (reg8 *) H2_MUX__PRTDSI__OE_SEL0) 
#define H2_MUX_PRTDSI__OE_SEL1        (* (reg8 *) H2_MUX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define H2_MUX_PRTDSI__OUT_SEL0       (* (reg8 *) H2_MUX__PRTDSI__OUT_SEL0) 
#define H2_MUX_PRTDSI__OUT_SEL1       (* (reg8 *) H2_MUX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define H2_MUX_PRTDSI__SYNC_OUT       (* (reg8 *) H2_MUX__PRTDSI__SYNC_OUT) 


#if defined(H2_MUX__INTSTAT)  /* Interrupt Registers */

    #define H2_MUX_INTSTAT                (* (reg8 *) H2_MUX__INTSTAT)
    #define H2_MUX_SNAP                   (* (reg8 *) H2_MUX__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_H2_MUX_H */


/* [] END OF FILE */
