/*******************************************************************************
* File Name: PL1_TXEN.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PL1_TXEN_H) /* Pins PL1_TXEN_H */
#define CY_PINS_PL1_TXEN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PL1_TXEN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PL1_TXEN__PORT == 15 && ((PL1_TXEN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PL1_TXEN_Write(uint8 value) ;
void    PL1_TXEN_SetDriveMode(uint8 mode) ;
uint8   PL1_TXEN_ReadDataReg(void) ;
uint8   PL1_TXEN_Read(void) ;
uint8   PL1_TXEN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PL1_TXEN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PL1_TXEN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PL1_TXEN_DM_RES_UP          PIN_DM_RES_UP
#define PL1_TXEN_DM_RES_DWN         PIN_DM_RES_DWN
#define PL1_TXEN_DM_OD_LO           PIN_DM_OD_LO
#define PL1_TXEN_DM_OD_HI           PIN_DM_OD_HI
#define PL1_TXEN_DM_STRONG          PIN_DM_STRONG
#define PL1_TXEN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PL1_TXEN_MASK               PL1_TXEN__MASK
#define PL1_TXEN_SHIFT              PL1_TXEN__SHIFT
#define PL1_TXEN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PL1_TXEN_PS                     (* (reg8 *) PL1_TXEN__PS)
/* Data Register */
#define PL1_TXEN_DR                     (* (reg8 *) PL1_TXEN__DR)
/* Port Number */
#define PL1_TXEN_PRT_NUM                (* (reg8 *) PL1_TXEN__PRT) 
/* Connect to Analog Globals */                                                  
#define PL1_TXEN_AG                     (* (reg8 *) PL1_TXEN__AG)                       
/* Analog MUX bux enable */
#define PL1_TXEN_AMUX                   (* (reg8 *) PL1_TXEN__AMUX) 
/* Bidirectional Enable */                                                        
#define PL1_TXEN_BIE                    (* (reg8 *) PL1_TXEN__BIE)
/* Bit-mask for Aliased Register Access */
#define PL1_TXEN_BIT_MASK               (* (reg8 *) PL1_TXEN__BIT_MASK)
/* Bypass Enable */
#define PL1_TXEN_BYP                    (* (reg8 *) PL1_TXEN__BYP)
/* Port wide control signals */                                                   
#define PL1_TXEN_CTL                    (* (reg8 *) PL1_TXEN__CTL)
/* Drive Modes */
#define PL1_TXEN_DM0                    (* (reg8 *) PL1_TXEN__DM0) 
#define PL1_TXEN_DM1                    (* (reg8 *) PL1_TXEN__DM1)
#define PL1_TXEN_DM2                    (* (reg8 *) PL1_TXEN__DM2) 
/* Input Buffer Disable Override */
#define PL1_TXEN_INP_DIS                (* (reg8 *) PL1_TXEN__INP_DIS)
/* LCD Common or Segment Drive */
#define PL1_TXEN_LCD_COM_SEG            (* (reg8 *) PL1_TXEN__LCD_COM_SEG)
/* Enable Segment LCD */
#define PL1_TXEN_LCD_EN                 (* (reg8 *) PL1_TXEN__LCD_EN)
/* Slew Rate Control */
#define PL1_TXEN_SLW                    (* (reg8 *) PL1_TXEN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PL1_TXEN_PRTDSI__CAPS_SEL       (* (reg8 *) PL1_TXEN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PL1_TXEN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PL1_TXEN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PL1_TXEN_PRTDSI__OE_SEL0        (* (reg8 *) PL1_TXEN__PRTDSI__OE_SEL0) 
#define PL1_TXEN_PRTDSI__OE_SEL1        (* (reg8 *) PL1_TXEN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PL1_TXEN_PRTDSI__OUT_SEL0       (* (reg8 *) PL1_TXEN__PRTDSI__OUT_SEL0) 
#define PL1_TXEN_PRTDSI__OUT_SEL1       (* (reg8 *) PL1_TXEN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PL1_TXEN_PRTDSI__SYNC_OUT       (* (reg8 *) PL1_TXEN__PRTDSI__SYNC_OUT) 


#if defined(PL1_TXEN__INTSTAT)  /* Interrupt Registers */

    #define PL1_TXEN_INTSTAT                (* (reg8 *) PL1_TXEN__INTSTAT)
    #define PL1_TXEN_SNAP                   (* (reg8 *) PL1_TXEN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PL1_TXEN_H */


/* [] END OF FILE */
