/*******************************************************************************
* File Name: PL2_RS485_TxInt.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PL2_RS485_TxInt_H)
#define CY_ISR_PL2_RS485_TxInt_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PL2_RS485_TxInt_Start(void);
void PL2_RS485_TxInt_StartEx(cyisraddress address);
void PL2_RS485_TxInt_Stop(void);

CY_ISR_PROTO(PL2_RS485_TxInt_Interrupt);

void PL2_RS485_TxInt_SetVector(cyisraddress address);
cyisraddress PL2_RS485_TxInt_GetVector(void);

void PL2_RS485_TxInt_SetPriority(uint8 priority);
uint8 PL2_RS485_TxInt_GetPriority(void);

void PL2_RS485_TxInt_Enable(void);
uint8 PL2_RS485_TxInt_GetState(void);
void PL2_RS485_TxInt_Disable(void);

void PL2_RS485_TxInt_SetPending(void);
void PL2_RS485_TxInt_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PL2_RS485_TxInt ISR. */
#define PL2_RS485_TxInt_INTC_VECTOR            ((reg32 *) PL2_RS485_TxInt__INTC_VECT)

/* Address of the PL2_RS485_TxInt ISR priority. */
#define PL2_RS485_TxInt_INTC_PRIOR             ((reg8 *) PL2_RS485_TxInt__INTC_PRIOR_REG)

/* Priority of the PL2_RS485_TxInt interrupt. */
#define PL2_RS485_TxInt_INTC_PRIOR_NUMBER      PL2_RS485_TxInt__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PL2_RS485_TxInt interrupt. */
#define PL2_RS485_TxInt_INTC_SET_EN            ((reg32 *) PL2_RS485_TxInt__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PL2_RS485_TxInt interrupt. */
#define PL2_RS485_TxInt_INTC_CLR_EN            ((reg32 *) PL2_RS485_TxInt__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PL2_RS485_TxInt interrupt state to pending. */
#define PL2_RS485_TxInt_INTC_SET_PD            ((reg32 *) PL2_RS485_TxInt__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PL2_RS485_TxInt interrupt. */
#define PL2_RS485_TxInt_INTC_CLR_PD            ((reg32 *) PL2_RS485_TxInt__INTC_CLR_PD_REG)


#endif /* CY_ISR_PL2_RS485_TxInt_H */


/* [] END OF FILE */
