/*******************************************************************************
* File Name: RS232_LEDV.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RS232_LEDV_H) /* Pins RS232_LEDV_H */
#define CY_PINS_RS232_LEDV_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RS232_LEDV_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 RS232_LEDV__PORT == 15 && ((RS232_LEDV__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    RS232_LEDV_Write(uint8 value) ;
void    RS232_LEDV_SetDriveMode(uint8 mode) ;
uint8   RS232_LEDV_ReadDataReg(void) ;
uint8   RS232_LEDV_Read(void) ;
uint8   RS232_LEDV_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RS232_LEDV_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define RS232_LEDV_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define RS232_LEDV_DM_RES_UP          PIN_DM_RES_UP
#define RS232_LEDV_DM_RES_DWN         PIN_DM_RES_DWN
#define RS232_LEDV_DM_OD_LO           PIN_DM_OD_LO
#define RS232_LEDV_DM_OD_HI           PIN_DM_OD_HI
#define RS232_LEDV_DM_STRONG          PIN_DM_STRONG
#define RS232_LEDV_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define RS232_LEDV_MASK               RS232_LEDV__MASK
#define RS232_LEDV_SHIFT              RS232_LEDV__SHIFT
#define RS232_LEDV_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RS232_LEDV_PS                     (* (reg8 *) RS232_LEDV__PS)
/* Data Register */
#define RS232_LEDV_DR                     (* (reg8 *) RS232_LEDV__DR)
/* Port Number */
#define RS232_LEDV_PRT_NUM                (* (reg8 *) RS232_LEDV__PRT) 
/* Connect to Analog Globals */                                                  
#define RS232_LEDV_AG                     (* (reg8 *) RS232_LEDV__AG)                       
/* Analog MUX bux enable */
#define RS232_LEDV_AMUX                   (* (reg8 *) RS232_LEDV__AMUX) 
/* Bidirectional Enable */                                                        
#define RS232_LEDV_BIE                    (* (reg8 *) RS232_LEDV__BIE)
/* Bit-mask for Aliased Register Access */
#define RS232_LEDV_BIT_MASK               (* (reg8 *) RS232_LEDV__BIT_MASK)
/* Bypass Enable */
#define RS232_LEDV_BYP                    (* (reg8 *) RS232_LEDV__BYP)
/* Port wide control signals */                                                   
#define RS232_LEDV_CTL                    (* (reg8 *) RS232_LEDV__CTL)
/* Drive Modes */
#define RS232_LEDV_DM0                    (* (reg8 *) RS232_LEDV__DM0) 
#define RS232_LEDV_DM1                    (* (reg8 *) RS232_LEDV__DM1)
#define RS232_LEDV_DM2                    (* (reg8 *) RS232_LEDV__DM2) 
/* Input Buffer Disable Override */
#define RS232_LEDV_INP_DIS                (* (reg8 *) RS232_LEDV__INP_DIS)
/* LCD Common or Segment Drive */
#define RS232_LEDV_LCD_COM_SEG            (* (reg8 *) RS232_LEDV__LCD_COM_SEG)
/* Enable Segment LCD */
#define RS232_LEDV_LCD_EN                 (* (reg8 *) RS232_LEDV__LCD_EN)
/* Slew Rate Control */
#define RS232_LEDV_SLW                    (* (reg8 *) RS232_LEDV__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RS232_LEDV_PRTDSI__CAPS_SEL       (* (reg8 *) RS232_LEDV__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RS232_LEDV_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RS232_LEDV__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RS232_LEDV_PRTDSI__OE_SEL0        (* (reg8 *) RS232_LEDV__PRTDSI__OE_SEL0) 
#define RS232_LEDV_PRTDSI__OE_SEL1        (* (reg8 *) RS232_LEDV__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RS232_LEDV_PRTDSI__OUT_SEL0       (* (reg8 *) RS232_LEDV__PRTDSI__OUT_SEL0) 
#define RS232_LEDV_PRTDSI__OUT_SEL1       (* (reg8 *) RS232_LEDV__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RS232_LEDV_PRTDSI__SYNC_OUT       (* (reg8 *) RS232_LEDV__PRTDSI__SYNC_OUT) 


#if defined(RS232_LEDV__INTSTAT)  /* Interrupt Registers */

    #define RS232_LEDV_INTSTAT                (* (reg8 *) RS232_LEDV__INTSTAT)
    #define RS232_LEDV_SNAP                   (* (reg8 *) RS232_LEDV__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_RS232_LEDV_H */


/* [] END OF FILE */
