/*******************************************************************************
* File Name: SEL2.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEL2_H) /* Pins SEL2_H */
#define CY_PINS_SEL2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SEL2_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SEL2__PORT == 15 && ((SEL2__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    SEL2_Write(uint8 value) ;
void    SEL2_SetDriveMode(uint8 mode) ;
uint8   SEL2_ReadDataReg(void) ;
uint8   SEL2_Read(void) ;
uint8   SEL2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SEL2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SEL2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SEL2_DM_RES_UP          PIN_DM_RES_UP
#define SEL2_DM_RES_DWN         PIN_DM_RES_DWN
#define SEL2_DM_OD_LO           PIN_DM_OD_LO
#define SEL2_DM_OD_HI           PIN_DM_OD_HI
#define SEL2_DM_STRONG          PIN_DM_STRONG
#define SEL2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SEL2_MASK               SEL2__MASK
#define SEL2_SHIFT              SEL2__SHIFT
#define SEL2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SEL2_PS                     (* (reg8 *) SEL2__PS)
/* Data Register */
#define SEL2_DR                     (* (reg8 *) SEL2__DR)
/* Port Number */
#define SEL2_PRT_NUM                (* (reg8 *) SEL2__PRT) 
/* Connect to Analog Globals */                                                  
#define SEL2_AG                     (* (reg8 *) SEL2__AG)                       
/* Analog MUX bux enable */
#define SEL2_AMUX                   (* (reg8 *) SEL2__AMUX) 
/* Bidirectional Enable */                                                        
#define SEL2_BIE                    (* (reg8 *) SEL2__BIE)
/* Bit-mask for Aliased Register Access */
#define SEL2_BIT_MASK               (* (reg8 *) SEL2__BIT_MASK)
/* Bypass Enable */
#define SEL2_BYP                    (* (reg8 *) SEL2__BYP)
/* Port wide control signals */                                                   
#define SEL2_CTL                    (* (reg8 *) SEL2__CTL)
/* Drive Modes */
#define SEL2_DM0                    (* (reg8 *) SEL2__DM0) 
#define SEL2_DM1                    (* (reg8 *) SEL2__DM1)
#define SEL2_DM2                    (* (reg8 *) SEL2__DM2) 
/* Input Buffer Disable Override */
#define SEL2_INP_DIS                (* (reg8 *) SEL2__INP_DIS)
/* LCD Common or Segment Drive */
#define SEL2_LCD_COM_SEG            (* (reg8 *) SEL2__LCD_COM_SEG)
/* Enable Segment LCD */
#define SEL2_LCD_EN                 (* (reg8 *) SEL2__LCD_EN)
/* Slew Rate Control */
#define SEL2_SLW                    (* (reg8 *) SEL2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SEL2_PRTDSI__CAPS_SEL       (* (reg8 *) SEL2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SEL2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SEL2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SEL2_PRTDSI__OE_SEL0        (* (reg8 *) SEL2__PRTDSI__OE_SEL0) 
#define SEL2_PRTDSI__OE_SEL1        (* (reg8 *) SEL2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SEL2_PRTDSI__OUT_SEL0       (* (reg8 *) SEL2__PRTDSI__OUT_SEL0) 
#define SEL2_PRTDSI__OUT_SEL1       (* (reg8 *) SEL2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SEL2_PRTDSI__SYNC_OUT       (* (reg8 *) SEL2__PRTDSI__SYNC_OUT) 


#if defined(SEL2__INTSTAT)  /* Interrupt Registers */

    #define SEL2_INTSTAT                (* (reg8 *) SEL2__INTSTAT)
    #define SEL2_SNAP                   (* (reg8 *) SEL2__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SEL2_H */


/* [] END OF FILE */
