/*******************************************************************************
* File Name: USB_LEDJ.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_USB_LEDJ_H) /* Pins USB_LEDJ_H */
#define CY_PINS_USB_LEDJ_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "USB_LEDJ_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 USB_LEDJ__PORT == 15 && ((USB_LEDJ__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    USB_LEDJ_Write(uint8 value) ;
void    USB_LEDJ_SetDriveMode(uint8 mode) ;
uint8   USB_LEDJ_ReadDataReg(void) ;
uint8   USB_LEDJ_Read(void) ;
uint8   USB_LEDJ_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define USB_LEDJ_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define USB_LEDJ_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define USB_LEDJ_DM_RES_UP          PIN_DM_RES_UP
#define USB_LEDJ_DM_RES_DWN         PIN_DM_RES_DWN
#define USB_LEDJ_DM_OD_LO           PIN_DM_OD_LO
#define USB_LEDJ_DM_OD_HI           PIN_DM_OD_HI
#define USB_LEDJ_DM_STRONG          PIN_DM_STRONG
#define USB_LEDJ_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define USB_LEDJ_MASK               USB_LEDJ__MASK
#define USB_LEDJ_SHIFT              USB_LEDJ__SHIFT
#define USB_LEDJ_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define USB_LEDJ_PS                     (* (reg8 *) USB_LEDJ__PS)
/* Data Register */
#define USB_LEDJ_DR                     (* (reg8 *) USB_LEDJ__DR)
/* Port Number */
#define USB_LEDJ_PRT_NUM                (* (reg8 *) USB_LEDJ__PRT) 
/* Connect to Analog Globals */                                                  
#define USB_LEDJ_AG                     (* (reg8 *) USB_LEDJ__AG)                       
/* Analog MUX bux enable */
#define USB_LEDJ_AMUX                   (* (reg8 *) USB_LEDJ__AMUX) 
/* Bidirectional Enable */                                                        
#define USB_LEDJ_BIE                    (* (reg8 *) USB_LEDJ__BIE)
/* Bit-mask for Aliased Register Access */
#define USB_LEDJ_BIT_MASK               (* (reg8 *) USB_LEDJ__BIT_MASK)
/* Bypass Enable */
#define USB_LEDJ_BYP                    (* (reg8 *) USB_LEDJ__BYP)
/* Port wide control signals */                                                   
#define USB_LEDJ_CTL                    (* (reg8 *) USB_LEDJ__CTL)
/* Drive Modes */
#define USB_LEDJ_DM0                    (* (reg8 *) USB_LEDJ__DM0) 
#define USB_LEDJ_DM1                    (* (reg8 *) USB_LEDJ__DM1)
#define USB_LEDJ_DM2                    (* (reg8 *) USB_LEDJ__DM2) 
/* Input Buffer Disable Override */
#define USB_LEDJ_INP_DIS                (* (reg8 *) USB_LEDJ__INP_DIS)
/* LCD Common or Segment Drive */
#define USB_LEDJ_LCD_COM_SEG            (* (reg8 *) USB_LEDJ__LCD_COM_SEG)
/* Enable Segment LCD */
#define USB_LEDJ_LCD_EN                 (* (reg8 *) USB_LEDJ__LCD_EN)
/* Slew Rate Control */
#define USB_LEDJ_SLW                    (* (reg8 *) USB_LEDJ__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define USB_LEDJ_PRTDSI__CAPS_SEL       (* (reg8 *) USB_LEDJ__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define USB_LEDJ_PRTDSI__DBL_SYNC_IN    (* (reg8 *) USB_LEDJ__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define USB_LEDJ_PRTDSI__OE_SEL0        (* (reg8 *) USB_LEDJ__PRTDSI__OE_SEL0) 
#define USB_LEDJ_PRTDSI__OE_SEL1        (* (reg8 *) USB_LEDJ__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define USB_LEDJ_PRTDSI__OUT_SEL0       (* (reg8 *) USB_LEDJ__PRTDSI__OUT_SEL0) 
#define USB_LEDJ_PRTDSI__OUT_SEL1       (* (reg8 *) USB_LEDJ__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define USB_LEDJ_PRTDSI__SYNC_OUT       (* (reg8 *) USB_LEDJ__PRTDSI__SYNC_OUT) 


#if defined(USB_LEDJ__INTSTAT)  /* Interrupt Registers */

    #define USB_LEDJ_INTSTAT                (* (reg8 *) USB_LEDJ__INTSTAT)
    #define USB_LEDJ_SNAP                   (* (reg8 *) USB_LEDJ__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_USB_LEDJ_H */


/* [] END OF FILE */
