/*******************************************************************************
* File Name: USB_V.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_USB_V_H) /* Pins USB_V_H */
#define CY_PINS_USB_V_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "USB_V_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 USB_V__PORT == 15 && ((USB_V__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    USB_V_Write(uint8 value) ;
void    USB_V_SetDriveMode(uint8 mode) ;
uint8   USB_V_ReadDataReg(void) ;
uint8   USB_V_Read(void) ;
uint8   USB_V_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define USB_V_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define USB_V_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define USB_V_DM_RES_UP          PIN_DM_RES_UP
#define USB_V_DM_RES_DWN         PIN_DM_RES_DWN
#define USB_V_DM_OD_LO           PIN_DM_OD_LO
#define USB_V_DM_OD_HI           PIN_DM_OD_HI
#define USB_V_DM_STRONG          PIN_DM_STRONG
#define USB_V_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define USB_V_MASK               USB_V__MASK
#define USB_V_SHIFT              USB_V__SHIFT
#define USB_V_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define USB_V_PS                     (* (reg8 *) USB_V__PS)
/* Data Register */
#define USB_V_DR                     (* (reg8 *) USB_V__DR)
/* Port Number */
#define USB_V_PRT_NUM                (* (reg8 *) USB_V__PRT) 
/* Connect to Analog Globals */                                                  
#define USB_V_AG                     (* (reg8 *) USB_V__AG)                       
/* Analog MUX bux enable */
#define USB_V_AMUX                   (* (reg8 *) USB_V__AMUX) 
/* Bidirectional Enable */                                                        
#define USB_V_BIE                    (* (reg8 *) USB_V__BIE)
/* Bit-mask for Aliased Register Access */
#define USB_V_BIT_MASK               (* (reg8 *) USB_V__BIT_MASK)
/* Bypass Enable */
#define USB_V_BYP                    (* (reg8 *) USB_V__BYP)
/* Port wide control signals */                                                   
#define USB_V_CTL                    (* (reg8 *) USB_V__CTL)
/* Drive Modes */
#define USB_V_DM0                    (* (reg8 *) USB_V__DM0) 
#define USB_V_DM1                    (* (reg8 *) USB_V__DM1)
#define USB_V_DM2                    (* (reg8 *) USB_V__DM2) 
/* Input Buffer Disable Override */
#define USB_V_INP_DIS                (* (reg8 *) USB_V__INP_DIS)
/* LCD Common or Segment Drive */
#define USB_V_LCD_COM_SEG            (* (reg8 *) USB_V__LCD_COM_SEG)
/* Enable Segment LCD */
#define USB_V_LCD_EN                 (* (reg8 *) USB_V__LCD_EN)
/* Slew Rate Control */
#define USB_V_SLW                    (* (reg8 *) USB_V__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define USB_V_PRTDSI__CAPS_SEL       (* (reg8 *) USB_V__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define USB_V_PRTDSI__DBL_SYNC_IN    (* (reg8 *) USB_V__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define USB_V_PRTDSI__OE_SEL0        (* (reg8 *) USB_V__PRTDSI__OE_SEL0) 
#define USB_V_PRTDSI__OE_SEL1        (* (reg8 *) USB_V__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define USB_V_PRTDSI__OUT_SEL0       (* (reg8 *) USB_V__PRTDSI__OUT_SEL0) 
#define USB_V_PRTDSI__OUT_SEL1       (* (reg8 *) USB_V__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define USB_V_PRTDSI__SYNC_OUT       (* (reg8 *) USB_V__PRTDSI__SYNC_OUT) 


#if defined(USB_V__INTSTAT)  /* Interrupt Registers */

    #define USB_V_INTSTAT                (* (reg8 *) USB_V__INTSTAT)
    #define USB_V_SNAP                   (* (reg8 *) USB_V__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_USB_V_H */


/* [] END OF FILE */
